Subject: Re: [RFC v2 0/2] powerpc/mm: enable memory hotplug on radix

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Sun, 21 Aug 2016 21:45:35 +0530

Reza Arbab <[email-masked]> writes:

> Memory hotplug is leading to hash page table calls, even on radix:
>
> ...
> 	arch_add_memory
> 		create_section_mapping
> 			htab_bolt_mapping
> 				BUG_ON(!ppc_md.hpte_insert);
>
> Refactor {create,remove}_section_mapping() into hash__ and radix__ variants.
>
> RFC/TODO:
> I wasn't sure what to do in radix__remove_section_mapping(). Its vmemmap
> counterpart radix__vmemmap_remove_mapping() is stubbed as a FIXME. I left it
> empty for now.

For linear mapping and for vmemmap area we should do something equivalent of

static void __meminit
remove_pagetable(unsigned long start, unsigned long end, bool direct)

as done for x86.

-aneesh